com.genesyslab.wfm7.API.service.config761

## Class CfgShiftFilter

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config761.CfgShiftFilter

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgShiftFilter
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private int[]` | `wmBUId`
    `private int` | `wmBUIdNSizeIs`
    `private int[]` | `wmContractId`
    `private int` | `wmContractIdNSizeIs`
    `private double[]` | `wmDate`
    `private int` | `wmDateNSizeIs`
    `private int[]` | `wmShiftId`
    `private int` | `wmShiftIdNSizeIs`
    `private int[]` | `wmSiteId`
    `private int` | `wmSiteIdNSizeIs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgShiftFilter()`
    `CfgShiftFilter(int wmBUIdNSizeIs, int[] wmBUId, int wmSiteIdNSizeIs, int[] wmSiteId, int wmShiftIdNSizeIs, int[] wmShiftId, int wmContractIdNSizeIs, int[] wmContractId, int wmDateNSizeIs, double[] wmDate)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int[]` | `getWmBUId()` Gets the wmBUId value for this CfgShiftFilter.
    `int` | `getWmBUIdNSizeIs()` Gets the wmBUIdNSizeIs value for this CfgShiftFilter.
    `int[]` | `getWmContractId()` Gets the wmContractId value for this CfgShiftFilter.
    `int` | `getWmContractIdNSizeIs()` Gets the wmContractIdNSizeIs value for this CfgShiftFilter.
    `double[]` | `getWmDate()` Gets the wmDate value for this CfgShiftFilter.
    `int` | `getWmDateNSizeIs()` Gets the wmDateNSizeIs value for this CfgShiftFilter.
    `int[]` | `getWmShiftId()` Gets the wmShiftId value for this CfgShiftFilter.
    `int` | `getWmShiftIdNSizeIs()` Gets the wmShiftIdNSizeIs value for this CfgShiftFilter.
    `int[]` | `getWmSiteId()` Gets the wmSiteId value for this CfgShiftFilter.
    `int` | `getWmSiteIdNSizeIs()` Gets the wmSiteIdNSizeIs value for this CfgShiftFilter.
    `int` | `hashCode()`
    `void` | `setWmBUId(int[] wmBUId)` Sets the wmBUId value for this CfgShiftFilter.
    `void` | `setWmBUIdNSizeIs(int wmBUIdNSizeIs)` Sets the wmBUIdNSizeIs value for this CfgShiftFilter.
    `void` | `setWmContractId(int[] wmContractId)` Sets the wmContractId value for this CfgShiftFilter.
    `void` | `setWmContractIdNSizeIs(int wmContractIdNSizeIs)` Sets the wmContractIdNSizeIs value for this CfgShiftFilter.
    `void` | `setWmDate(double[] wmDate)` Sets the wmDate value for this CfgShiftFilter.
    `void` | `setWmDateNSizeIs(int wmDateNSizeIs)` Sets the wmDateNSizeIs value for this CfgShiftFilter.
    `void` | `setWmShiftId(int[] wmShiftId)` Sets the wmShiftId value for this CfgShiftFilter.
    `void` | `setWmShiftIdNSizeIs(int wmShiftIdNSizeIs)` Sets the wmShiftIdNSizeIs value for this CfgShiftFilter.
    `void` | `setWmSiteId(int[] wmSiteId)` Sets the wmSiteId value for this CfgShiftFilter.
    `void` | `setWmSiteIdNSizeIs(int wmSiteIdNSizeIs)` Sets the wmSiteIdNSizeIs value for this CfgShiftFilter.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmBUIdNSizeIs

          private int wmBUIdNSizeIs

    - #### wmBUId

          private int[] wmBUId

    - #### wmSiteIdNSizeIs

          private int wmSiteIdNSizeIs

    - #### wmSiteId

          private int[] wmSiteId

    - #### wmShiftIdNSizeIs

          private int wmShiftIdNSizeIs

    - #### wmShiftId

          private int[] wmShiftId

    - #### wmContractIdNSizeIs

          private int wmContractIdNSizeIs

    - #### wmContractId

          private int[] wmContractId

    - #### wmDateNSizeIs

          private int wmDateNSizeIs

    - #### wmDate

          private double[] wmDate

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CfgShiftFilter

          public CfgShiftFilter()

    - #### CfgShiftFilter

          public CfgShiftFilter(int wmBUIdNSizeIs,
                        int[] wmBUId,
                        int wmSiteIdNSizeIs,
                        int[] wmSiteId,
                        int wmShiftIdNSizeIs,
                        int[] wmShiftId,
                        int wmContractIdNSizeIs,
                        int[] wmContractId,
                        int wmDateNSizeIs,
                        double[] wmDate)

  - ### Method Detail

    - #### getWmBUIdNSizeIs

          public int getWmBUIdNSizeIs()

      Gets the wmBUIdNSizeIs value for this CfgShiftFilter.
      Returns:
        wmBUIdNSizeIs

    - #### setWmBUIdNSizeIs

          public void setWmBUIdNSizeIs(int wmBUIdNSizeIs)

      Sets the wmBUIdNSizeIs value for this CfgShiftFilter.
      Parameters:
        `wmBUIdNSizeIs` -

    - #### getWmBUId

          public int[] getWmBUId()

      Gets the wmBUId value for this CfgShiftFilter.
      Returns:
        wmBUId

    - #### setWmBUId

          public void setWmBUId(int[] wmBUId)

      Sets the wmBUId value for this CfgShiftFilter.
      Parameters:
        `wmBUId` -

    - #### getWmSiteIdNSizeIs

          public int getWmSiteIdNSizeIs()

      Gets the wmSiteIdNSizeIs value for this CfgShiftFilter.
      Returns:
        wmSiteIdNSizeIs

    - #### setWmSiteIdNSizeIs

          public void setWmSiteIdNSizeIs(int wmSiteIdNSizeIs)

      Sets the wmSiteIdNSizeIs value for this CfgShiftFilter.
      Parameters:
        `wmSiteIdNSizeIs` -

    - #### getWmSiteId

          public int[] getWmSiteId()

      Gets the wmSiteId value for this CfgShiftFilter.
      Returns:
        wmSiteId

    - #### setWmSiteId

          public void setWmSiteId(int[] wmSiteId)

      Sets the wmSiteId value for this CfgShiftFilter.
      Parameters:
        `wmSiteId` -

    - #### getWmShiftIdNSizeIs

          public int getWmShiftIdNSizeIs()

      Gets the wmShiftIdNSizeIs value for this CfgShiftFilter.
      Returns:
        wmShiftIdNSizeIs

    - #### setWmShiftIdNSizeIs

          public void setWmShiftIdNSizeIs(int wmShiftIdNSizeIs)

      Sets the wmShiftIdNSizeIs value for this CfgShiftFilter.
      Parameters:
        `wmShiftIdNSizeIs` -

    - #### getWmShiftId

          public int[] getWmShiftId()

      Gets the wmShiftId value for this CfgShiftFilter.
      Returns:
        wmShiftId

    - #### setWmShiftId

          public void setWmShiftId(int[] wmShiftId)

      Sets the wmShiftId value for this CfgShiftFilter.
      Parameters:
        `wmShiftId` -

    - #### getWmContractIdNSizeIs

          public int getWmContractIdNSizeIs()

      Gets the wmContractIdNSizeIs value for this CfgShiftFilter.
      Returns:
        wmContractIdNSizeIs

    - #### setWmContractIdNSizeIs

          public void setWmContractIdNSizeIs(int wmContractIdNSizeIs)

      Sets the wmContractIdNSizeIs value for this CfgShiftFilter.
      Parameters:
        `wmContractIdNSizeIs` -

    - #### getWmContractId

          public int[] getWmContractId()

      Gets the wmContractId value for this CfgShiftFilter.
      Returns:
        wmContractId

    - #### setWmContractId

          public void setWmContractId(int[] wmContractId)

      Sets the wmContractId value for this CfgShiftFilter.
      Parameters:
        `wmContractId` -

    - #### getWmDateNSizeIs

          public int getWmDateNSizeIs()

      Gets the wmDateNSizeIs value for this CfgShiftFilter.
      Returns:
        wmDateNSizeIs

    - #### setWmDateNSizeIs

          public void setWmDateNSizeIs(int wmDateNSizeIs)

      Sets the wmDateNSizeIs value for this CfgShiftFilter.
      Parameters:
        `wmDateNSizeIs` -

    - #### getWmDate

          public double[] getWmDate()

      Gets the wmDate value for this CfgShiftFilter.
      Returns:
        wmDate

    - #### setWmDate

          public void setWmDate(double[] wmDate)

      Sets the wmDate value for this CfgShiftFilter.
      Parameters:
        `wmDate` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.